unit uMHA_SpecialResults;

interface

uses
  Classes,
  Contnrs;

(*type
  ThsColorBand = class
  private
    FcbMax,
      FcbMin: Integer;
    FcbColor: string;
  protected
  public
    destructor Destroy; override;
    constructor Create;

    property cbMax: Integer read FcbMax write FcbMax;
    property cbMin: integer read FcbMin write FcbMin;
    property cbColor: string read FcbColor write FcbColor;
  published
  end; { TColorBand }

var
  hsColorBand                 : ThsColorBand;
*)

type
  TSpecialResultInstrument = class

  private
    //FListOfColorBands: TObjectList;
    FListOfColorBands: TStringList;
    FhsTitle,
      FhsGuide: string;

    FhsHeight,
      FhsSeriesCount,
      FhsMin,
      FhsMax: Integer;

    FhsShowQA: Boolean;
  protected
  public
    destructor Destroy; override;
    constructor Create;
    procedure Clear;

    property ListOfColorBands: TStringList read FListOfColorBands write FListOfColorBands;

    property hsTitle: string read FhsTitle write FhsTitle;
    property hsGuide: string read FhsGuide write FhsGuide;

    property hsHeight: integer read FhsHeight write FhsHeight;
    property hsSeriesCount: integer read FhsSeriesCount write FhsSeriesCount;
    property hsMin: integer read FhsMin write FhsMin;
    property hsMax: integer read FhsMax write FhsMax;

    property hsShowQA: Boolean read FhsShowQA write FhsShowQA;
  published
  end; { TSpecialResult }

var
  SpecialResultInstrument     : TSpecialResultInstrument;

implementation

procedure TSpecialResultInstrument.Clear;
begin
  FListOfColorBands.Clear;
  FhsTitle := '';
  FhsGuide := '';

  FhsHeight := 0;
  FhsSeriesCount := 0;
  FhsMin := 0;
  FhsMax := 0;

  FhsShowQA := false;
end;

constructor TSpecialResultInstrument.Create;
begin
  inherited Create;
  FListOfColorBands := TStringList.Create;
end;

destructor TSpecialResultInstrument.Destroy;
begin
  FListOfColorBands.Free;
  inherited Destroy;
end;

//------------------------------------------------------------------------------
//    Color Band
//------------------------------------------------------------------------------

(*
constructor ThsColorBand.Create;
begin
  inherited Create;
end;

destructor ThsColorBand.Destroy;
begin
  inherited Destroy;
end;
 *)


end.

 