unit uMHA_AResult;

interface

uses
  Classes;


type
  TIRKind = (irASI, irLegacy, irNew, irNoScales);

  TAResult = class
  private
    FKind: TIRKind;

    FAdministrationIENS,
      FInstrumentName,
      FID,
      FDateSaved,
      FDateGiven,
      FOrderedBy,
      FAdminBy,
      FPrivledge,
      FLocation,
      FListOfScores: string;

    FUserHasPermissionToView,
      FAnswersAreInLegacyFile,
      FWriteFullText,
      FIsMultiScale: Boolean;

    FTestIENS: Integer;

  protected
  public
    destructor Destroy; override;
    constructor Create;

    property Kind: TIRKind read FKind write FKind;
    property AdministrationIENS: string read FAdministrationIENS write
      FAdministrationIENS;
    property InstrumentName: string read FInstrumentName write FInstrumentName;
    property ID: string read FID write FID;
    property DateGiven: string read FDateGiven write FDateGiven;
    property DateSaved: string read FDateSaved write FDateSaved;
    property OrderedBy: string read FOrderedBy write FOrderedBy;
    property AdminBy: string read FAdminBy write FAdminBy;
    property Privledge: string read FPrivledge write FPrivledge;
    property Location: string read FLocation write FLocation;
    property UserHasPermissionToView: BOOLEAN read FUserHasPermissionToView write
      FUserHasPermissionToView;
    property AnswersAreInLegacyFile: BOOLEAN read FAnswersAreInLegacyFile write
      FAnswersAreInLegacyFile;
    property WriteFullText: Boolean read FWriteFullText write FWriteFullText;
    property IsMultiScale: BOOLEAN read FIsMultiScale write FIsMultiScale;
    property TestIENS: Integer read FTestIENS write FTestIENS;
    property ListOfScores: string read FListOfScores write FListOfScores;
  published
  end; { Result }

var
  AResult                     : TAResult;

implementation


constructor TAResult.Create;
begin
  inherited Create;
end;


destructor TAResult.Destroy;
begin
  inherited Destroy;
end;

end.

