library YS_MHA_AUX;

{ Important note about DLL memory management: ShareMem must be the
  first unit in your library's USES clause AND your project's (select
  Project-View Source) USES clause if your DLL exports any procedures or
  functions that pass strings as parameters or function results. This
  applies to all strings passed to and from your DLL--even those that
  are nested in records and classes. ShareMem is the interface unit to
  the BORLNDMM.DLL shared memory manager, which must be deployed along
  with your DLL. To avoid using BORLNDMM.DLL, pass string information
  using PChar or ShortString parameters. }

uses
  ShareMem,
  SysUtils,
  Classes,
  uMHA_AUX in 'uMHA_AUX.pas',
  uMHA_AUX_Const in 'uMHA_AUX_Const.pas',
  uMHA_AUX_Utils in 'uMHA_AUX_Utils.pas',
  uMHA_AUX_POQ in 'uMHA_AUX_POQ.pas',
  uMHA_AUX_VR12 in 'uMHA_AUX_VR12.pas',
  fIA_Dialogs in '..\IA Core\fIA_Dialogs.pas',
  uMHA_AUX_MMPI2RF in 'uMHA_AUX_MMPI2RF.pas',
  uMHA_AUX_SpecialResults in 'uMHA_AUX_SpecialResults.pas',
  uMHA_AUX_DBAS in 'uMHA_AUX_DBAS.pas',
  uMHA_AUX_SBR_II in 'uMHA_AUX_SBR_II.pas',
  uMHA_AUX_ISMI in 'uMHA_AUX_ISMI.pas',
  uMHA_AUX_FAST in 'uMHA_AUX_FAST.pas',
  uMHA_AUX_BAM in 'uMHA_AUX_BAM.pas',
  uMHA_AUX_WHYMPI in 'uMHA_AUX_WHYMPI.pas',
  uMHA_AUX_NEOPI3 in 'uMHA_AUX_NEOPI3.pas',
  uMHA_AUX_MINICOG in 'uMHA_AUX_MINICOG.pas',
  uMHA_AUX_STMS in 'uMHA_AUX_STMS.pas',
  uMHA_AUX_BASIS in 'uMHA_AUX_BASIS.pas',
  uMHA_AUX_WHOQOL_BREF in 'uMHA_AUX_WHOQOL_BREF.pas',
  uMHA_AUX_SBR in 'uMHA_AUX_SBR.pas',
  uMHA_AUX_BHS in 'uMHA_AUX_BHS.pas',
  uMHA_AUX_QOLI in 'uMHA_AUX_QOLI.pas',
  uMHA_AUX_CDR in 'uMHA_AUX_CDR.pas',
  uMHA_AUX_MDQ in 'uMHA_AUX_MDQ.pas',
  uMHA_AUX_WHODAS in 'uMHA_AUX_WHODAS.pas',
  uMHA_AUX_SPSI in 'uMHA_AUX_SPSI.pas',
  uMHA_AUX_CAM in 'uMHA_AUX_CAM.pas',
  uMHA_AUX_BSI in 'uMHA_AUX_BSI.pas',
  uMHA_AUX_BDI2 in 'uMHA_AUX_BDI2.pas',
  uMHA_AUX_BAI in 'uMHA_AUX_BAI.pas',
  uMHA_AUX_AUDC in 'uMHA_AUX_AUDC.pas',
  uMHA_AUX_PC_PTSD in 'uMHA_AUX_PC_PTSD.pas',
  uMHA_AUX_PHQ2 in 'uMHA_AUX_PHQ2.pas';

{$R *.RES}

exports
  DefaultAnswers,
  VerifyAnswers,
  GroomAnswers,
  ScoreAnswers,
  ProgressNote,
  Custom,
  StaticLookup,
  VistaLookup,
  SpecialResults;

begin
end.

 