unit uIA_Answer;

interface

uses
  classes;

type
  TAnswer = class
  private
    FAnswerID,
      FQuestionID,
      FAnswerVUID,
      FAnswerValue,
      FAnswerText,
      FAnswerChoiceID,
      FAnswerLegacyValue,
      FDesignator: string;
    FAnswerItemIndex: Integer;
    FIsMultiChoice: Boolean;
  protected

  public
    property AnswerID: string read FAnswerID write FAnswerID;
    property QuestionID: string read FQuestionID write FQuestionID;
    property AnswerVUID: string read FAnswerVUID write FAnswerVUID;
    property AnswerValue: string read FAnswerValue write FAnswerValue;

    property AnswerText: string read FAnswerText write FAnswerText;
    property AnswerChoiceID: string read FAnswerChoiceID write FAnswerChoiceID;
    property AnswerLegacyValue: string read FAnswerLegacyValue write FAnswerLegacyValue;
    property AnswerItemIndex: Integer read FAnswerItemIndex write FAnswerItemIndex;
    property IsMultiChoice: Boolean read FIsMultiChoice write FIsMultiChoice;
    property Designator: string read FDesignator write FDesignator;
    procedure Clear;
  published
  end; { TAnswer }


implementation

procedure TAnswer.Clear;
begin
  FAnswerID := '';
  FQuestionID := '';
  FAnswerVUID := '';
  FAnswerValue := '';
  FAnswerText := '';
  FAnswerChoiceID := '';
  FAnswerLegacyValue := '';
  FDesignator := '';
  FAnswerItemIndex := -1;
  FIsMultiChoice := false;
end;

end.

